`define half_cycletime 18520
`timescale 1 ps/1 ps

module sdram_tb;
   reg  reset, clk_pin;

   wire [31:0] RAM_D_IN;
   wire [31:0] RAM_D_OUT;
   wire 	 RAM_D_EN;   
   wire 	 RAM_CLK;
   wire 	 RAM_CLKE;
   wire 	 RAM_DQMH;
   wire 	 RAM_DQML;
   wire 	 RAM_CS;
   wire 	 RAM_RAS;
   wire 	 RAM_CAS;
   wire 	 RAM_WE;
   wire [1:0]  RAM_BA;
   wire [11:0] RAM_A;
   wire 	 CLK_IN;
   wire 	 RESET_IN;
   wire [31:0]  DEBUG;
   wire [15:0]	time_sel;
   wire [22:0]  error_cnt;
   //wire	emptyr;

   sdram_top sdram_top_i (	 RAM_D_IN,
		 RAM_D_OUT,
		 RAM_D_EN,
		 RAM_CLK,
		 RAM_CLKE,
		 RAM_DQMH,
		 RAM_DQML,
		 RAM_CS,
		 RAM_RAS,
		 RAM_CAS,
		 RAM_WE,
		 RAM_BA,
		 RAM_A,
		 CLK_IN,
		 RESET_IN,
		 DEBUG,
		 time_sel,
		error_cnt
		//emptyr //for testbench
		 );

   assign 	 RAM_D_IN = 32'h00000001;
   assign	CLK_IN = ~clk_pin;
   assign	RESET_IN = reset;
   assign time_sel = 16'h0000;

   always
     begin
	 #(`half_cycletime) clk_pin = ~clk_pin;
     end

   initial
     begin
	clk_pin = 1'b0;
	reset = 1'b0;
 	//force emptyr = 1'b1;
 	
	
	#(`half_cycletime * 5);//2.5 clock cycles
	reset= 1'b1;
	
	#(`half_cycletime * 6);//2.5 clock cycles
	reset= 1'b0;

	//#(`half_cycletime * 5400);//2.5 clock cycles
	//force emptyr = 1'b0;
	
	
	
     end
   
endmodule
   
